#include<iostream>
#include<algorithm>
using namespace std;
pair<int,bool>a[100000];
int main(){
int n,e=0;
cin>>n;
for(int i=0;i<n;i++){
    cin>>a[i].first;
}
while(true){
    for(int i=1;i<n-1;i++){

        if(a[i-1].first>a[i].first&&!a[i-1].second){
            a[i-1].second=true;
            a[i].first=1001;
            e++;
        }

        if(a[i+1].first>a[i].first&&!a[i+1].second){
            a[i+1].second=true;
            a[i].first=1001;
            e++;
        }


    }
    n-=e;
    sort(a,a+n);
    if(e==0)break;

}
for(int i=0;i<n;i++){
    e+=a[i].first;
}
cout<<e;
return 0;
}
